Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

## Class MapperService

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.services.MapperService

    public class MapperService
    extends Object

### Constructor Summary

Constructors
`MapperService()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends BaseModel> T` `getModelFromBody​(Request request, Class<T> classType)`
`static <T extends BaseModel> T` `mapResultToModel​(ResultSet resultSet, Class<T> classType)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapperService

    public MapperService()

### Method Detail

#### getModelFromBody

    public static <T extends BaseModel> T getModelFromBody​(Request request,
                                                           Class<T> classType)

#### mapResultToModel

    public static <T extends BaseModel> T mapResultToModel​(ResultSet resultSet,
                                                           Class<T> classType)